Loading...
Searching...
No Matches
OgreShaderParameter.h File Reference
`#include "OgreShaderPrerequisites.h"`
`#include "OgreVector.h"`
`#include "OgreMatrix4.h"`
`#include "OgreGpuProgramParams.h"`

## Classes

class | Ogre::RTShader::ConstParameter< valueType >
| Helper template which is the base for our ConstParameters. More...
class | Ogre::RTShader::Parameter
| A class that represents a shader based program parameter. More...
class | Ogre::RTShader::ParameterFactory
| Helper utility class that creates common parameters. More...
class | Ogre::RTShader::UniformParameter
| Uniform parameter class. More...

## Namespaces

namespace | Ogre
namespace | Ogre::RTShader

## Typedefs

typedef ShaderParameterList::const_iterator | Ogre::RTShader::ShaderParameterConstIterator
typedef ShaderParameterList::iterator | Ogre::RTShader::ShaderParameterIterator
typedef UniformParameterList::const_iterator | Ogre::RTShader::UniformParameterConstIterator
typedef UniformParameterList::iterator | Ogre::RTShader::UniformParameterIterator
typedef std::vector< UniformParameterPtr > | Ogre::RTShader::UniformParameterList